<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Core_Form_Admin_Job_FileDownload extends Engine_Form
{
  public function init()
  {
    $this
      ->setTitle('Job: Download File')
      ->setDescription('This will download a file from a specified URL.')
      ;

    $this->addElement('Text', 'url', array(
      'label' => 'URL',
      'required' => true,
      'allowEmpty' => false,
      //'validators' => array(),
    ));

    $this->addElement('Text', 'file', array(
      'label' => 'File',
      'required' => true,
      'allowEmpty' => false,
      //'validators' => array(),
    ));

    $this->addElement('Button', 'execute', array(
      'label' => 'Add',
      'type' => 'submit',
      'ignore' => true,
    ));
  }
}
